tbb::flow::interface9::opencl_program< Factory > Class Template Reference
Inheritance diagram for tbb::flow::interface9::opencl_program< Factory >:

## Public Types

typedef Factory::kernel_type | kernel_type

## Public Member Functions

| opencl_program (Factory &factory, opencl_program_type type, const std::string &program_name)
| opencl_program (Factory &factory, const char *program_name)
| opencl_program (Factory &factory, const std::string &program_name)
| opencl_program (opencl_graph &graph, opencl_program_type type, const std::string &program_name)
| opencl_program (opencl_graph &graph, const char *program_name)
| opencl_program (opencl_graph &graph, const std::string &program_name)
| opencl_program (opencl_graph &graph, opencl_program_type type)
| opencl_program (const opencl_program &src)
kernel_type | get_kernel (const std::string &k) const

## Friends

template<typename DeviceFilter >
class | opencl_factory
template<typename DeviceFilter >
class | opencl_factory< DeviceFilter >::kernel

The documentation for this class was generated from the following file:

- flow_graph_opencl_node.h

Copyright © 2005-2017 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.